# -*- encoding: utf-8 -*-
# stub: capybara-screenshot 1.0.14 ruby lib

Gem::Specification.new do |s|
  s.name = "capybara-screenshot"
  s.version = "1.0.14"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Matthew O'Riordan"]
  s.date = "2016-09-15"
  s.description = "When a Cucumber step fails, it is useful to create a screenshot image and HTML file of the current page"
  s.email = ["matthew.oriordan@gmail.com"]
  s.files = ["Appraisals", "CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "capybara-screenshot.gemspec", "gemfiles/cucumber.1.3.gemfile", "gemfiles/cucumber.2.4.gemfile", "gemfiles/latest.gemfile", "gemfiles/rspec.3.0.gemfile", "gemfiles/spinach.0.8.gemfile", "lib/capybara-screenshot.rb", "lib/capybara-screenshot/capybara.rb", "lib/capybara-screenshot/cucumber.rb", "lib/capybara-screenshot/helpers.rb", "lib/capybara-screenshot/minitest.rb", "lib/capybara-screenshot/pruner.rb", "lib/capybara-screenshot/rspec.rb", "lib/capybara-screenshot/rspec/base_reporter.rb", "lib/capybara-screenshot/rspec/html_embed_reporter.rb", "lib/capybara-screenshot/rspec/html_link_reporter.rb", "lib/capybara-screenshot/rspec/json_reporter.rb", "lib/capybara-screenshot/rspec/text_reporter.rb", "lib/capybara-screenshot/rspec/textmate_link_reporter.rb", "lib/capybara-screenshot/s3_saver.rb", "lib/capybara-screenshot/saver.rb", "lib/capybara-screenshot/spinach.rb", "lib/capybara-screenshot/testunit.rb", "lib/capybara-screenshot/version.rb", "spec/cucumber/cucumber_spec.rb", "spec/cucumber/step_definitions/step_definitions.rb", "spec/cucumber/support/env.rb", "spec/feature/minitest_spec.rb", "spec/feature/testunit_spec.rb", "spec/rspec/rspec_spec.rb", "spec/spec_helper.rb", "spec/spinach/spinach_spec.rb", "spec/spinach/support/spinach_failure.rb", "spec/support/aruba.rb", "spec/support/common_setup.rb", "spec/support/html_reporter_context.rb", "spec/support/test_app.rb", "spec/unit/base_reporter_spec.rb", "spec/unit/capybara-screenshot_rspec_spec.rb", "spec/unit/capybara-screenshot_spec.rb", "spec/unit/capybara_spec.rb", "spec/unit/pruner_spec.rb", "spec/unit/rspec_reporters/html_embed_reporter_spec.rb", "spec/unit/rspec_reporters/html_link_reporter_spec.rb", "spec/unit/rspec_reporters/text_reporter_spec.rb", "spec/unit/rspec_reporters/textmate_link_reporter_spec.rb", "spec/unit/s3_saver_spec.rb", "spec/unit/saver_spec.rb"]
  s.homepage = "http://github.com/mattheworiordan/capybara-screenshot"
  s.licenses = ["MIT"]
  s.rubyforge_project = "capybara-screenshot"
  s.rubygems_version = "2.5.1"
  s.summary = "Automatically create snapshots when Cucumber steps fail with Capybara and Rails"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<capybara>, ["< 3", ">= 1.0"])
      s.add_runtime_dependency(%q<launchy>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<timecop>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<aruba>, [">= 0"])
      s.add_development_dependency(%q<sinatra>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
      s.add_development_dependency(%q<spinach>, [">= 0"])
      s.add_development_dependency(%q<minitest>, [">= 0"])
      s.add_development_dependency(%q<aws-sdk>, [">= 0"])
    else
      s.add_dependency(%q<capybara>, ["< 3", ">= 1.0"])
      s.add_dependency(%q<launchy>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<timecop>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<aruba>, [">= 0"])
      s.add_dependency(%q<sinatra>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
      s.add_dependency(%q<spinach>, [">= 0"])
      s.add_dependency(%q<minitest>, [">= 0"])
      s.add_dependency(%q<aws-sdk>, [">= 0"])
    end
  else
    s.add_dependency(%q<capybara>, ["< 3", ">= 1.0"])
    s.add_dependency(%q<launchy>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<timecop>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<aruba>, [">= 0"])
    s.add_dependency(%q<sinatra>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
    s.add_dependency(%q<spinach>, [">= 0"])
    s.add_dependency(%q<minitest>, [">= 0"])
    s.add_dependency(%q<aws-sdk>, [">= 0"])
  end
end
